pandoc-2.5: Conversion between markup formats

Copyright | Copyright (C) 2012-2018 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.MediaWiki

Description

Conversion of mediawiki text to `Pandoc` document.

Synopsis

- readMediaWiki :: PandocMonad m => ReaderOptions -> Text -> m Pandoc

# Documentation

readMediaWiki Source #

Arguments

:: PandocMonad m |
=> ReaderOptions | Reader options
-> Text | String to parse (assuming `'\n'` line endings)
-> m Pandoc |

Read mediawiki from an input string and return a Pandoc document.